<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.zeroc.hello"
    android:versionCode="1"
    android:versionName="1.0.0">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_MULTICAST_STATE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />

    <application
        android:name="com.distributed.radio.IceBreaker"
        android:allowBackup="false"
        android:label="The Great Radioo"
        android:requestLegacyExternalStorage="true"
        android:theme="@style/Theme.AppCompat.Light"
        android:networkSecurityConfig="@xml/network_security_config"
        android:icon="@raw/icon">
        <uses-library android:name="org.apache.http.legacy" android:required="false"/>

        <activity   android:name="com.distributed.radio.ConfigActivity"
                    android:screenOrientation="portrait" >
        </activity>

        <activity   android:name="com.distributed.radio.VlcActivity"
                    android:screenOrientation="portrait">
        </activity>

        <activity   android:name="com.distributed.radio.UploadActivity"
                    android:theme="@android:style/Theme.Dialog"
                    tools:ignore="Instantiatable">
        </activity>

        <activity
            android:name="com.distributed.radio.MainActivity"
            android:screenOrientation="portrait"
            android:label="The Great Radioo">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="zeroc.com"
                    android:scheme="http" />
            </intent-filter>
        </activity>

    </application>

</manifest>